<main class="main-container">

    <header class="header">
      <div class="input-container">
        <h2 class="search-title">WEATHER IN YOUR CITY</h2>
        <div class="input-box">
          <input [ngModel]="searchInput" (ngModelChange)="valueChange($event)" type="text" placeholder="Your city name" class="search-input" >
          <img src="../../../assets/icons/searchIcon.png" srcset="img/icon@2x.png 2x, img/icon@3x.png 3x" class="icon" (click)="search()">
        </div>
        <p class="errorMessage" *ngIf="this.showErrorMessage">Please, provide more than 3 characters to search a city forecast.</p>
        <p class="errorMessage" *ngIf="this.showEmptyErrorMessage">No results were found for this search parameter. Please, try again.</p>
      </div>
    </header>
  
    <div class="cards-container">
      <div class="cards-table">
        <app-city-card *ngFor="let city of cities?.slice(0,2)" [temp]="city.main.temp" [weatherText]="city.weather[0].description"
                       [iconCode]="city.weather[0].icon" [cityId]="city.id"
                       [cityName]="city.name" [countryCode]="city.sys.country"
                       [maxTemp]="city.main.temp_max" [minTemp]="city.main.temp_min"></app-city-card>
      </div>
    </div>
  
  </main>